Loading...
Searching...
No Matches
rational_resampler.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/filter/api.h>`
Include dependency graph for rational_resampler.h:

Go to the source code of this file.

## Classes

class | gr::filter::rational_resampler< IN_T, OUT_T, TAP_T >
| Rational Resampling Polyphase FIR filter with IN_T input, OUT_T output and TAP_T taps. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::filter

## Typedefs

typedef rational_resampler< gr_complex, gr_complex, gr_complex > | gr::filter::rational_resampler_ccc
typedef rational_resampler< gr_complex, gr_complex, float > | gr::filter::rational_resampler_ccf
typedef rational_resampler< float, gr_complex, gr_complex > | gr::filter::rational_resampler_fcc
typedef rational_resampler< float, float, float > | gr::filter::rational_resampler_fff
typedef rational_resampler< float, std::int16_t, float > | gr::filter::rational_resampler_fsf
typedef rational_resampler< std::int16_t, gr_complex, gr_complex > | gr::filter::rational_resampler_scc